#map {
    height: 350px;
    width: 100%; /* Tambahkan agar peta responsif secara horizontal */
}

/* Responsivitas untuk sidebar */
@media (max-width: 768px) {
    .main-sidebar {
        width: 100%;
        height: auto;
        position: relative;
    }

    .sidebar {
        padding: 10px;
    }

    .brand-link img {
        width: 150px;
    }
}

/* Responsivitas untuk konten */
@media (max-width: 768px) {
    .content-wrapper {
        margin-left: 0; /* Hapus margin jika sidebar di atas */
        padding: 10px;
    }

    h1 {
        font-size: 24px;
    }

    form button {
        width: 100%; /* Tombol melebar untuk layar kecil */
        margin-bottom: 10px;
    }

    #map {
        height: 250px; /* Sesuaikan tinggi peta di layar kecil */
    }
}

/* Tampilan default desktop */
@media (min-width: 769px) {
    .content-wrapper {
        margin-left: 250px; /* Pastikan margin untuk sidebar di desktop */
    }
}

.chart-container {
    display: flex;
    justify-content: flex-end;
    margin: -50px 100px; /* Perhatikan pengaruh margin negatif ini */
}
